/*This SQL script uses Demos.abs database. 
  Please open ...\AbsoluteDatabase\Demos\Data\Demos.abs database file.
  This sample demonstrates use of subquery in where clause together with EXISTS keyword. 
  The query returns all venues where no event will take place.*/

select Venue
from venues v
where not exists (select * from events where VenueNo=v.VenueNo)